# elementgen

elementgen reads simple descriptions of HTML elements from `elements.txt`
and generates Go functions to create them. The file contains one description
per line. Each description is in the form
```
tag-name element-type
```
where `tag-name` is the lowercase name of the element, and `element-type` is
either `empty` for empty elements (e.g. `img`, 'br') or `parent` for elements
that can have child nodes (e.g. 'div', 'body').
